For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Portal
GuidesRecipesAPI ReferenceChangelog
GuidesRecipesAPI ReferenceChangelog
  • Airtop API
      • POSTCreate an automation (async)
      • POSTCreate a form filler automation (async)
      • POSTExecute an automation (async)
      • POSTFill a form using a form-filler automation (async)
      • GETList windows
      • POSTCreate window
      • GETGet window info
      • POSTLoad url
      • DELClose window
      • POSTClick
      • POSTCreate a form-filler automation synchronously
      • POSTFile Input
      • POSTFill a form synchronously using a form-filler automation
      • POSTHover
      • POSTMonitor for a condition
      • POSTQuery a page
      • POSTQuery a page with pagination
      • POSTPrompt content.
      • POSTScrape
      • POSTTake a screenshot
      • POSTScroll
      • POSTSummarize
      • POSTType
Portal
Airtop APIWindows

Fill a form using a form-filler automation (async)

POST
https://api.airtop.ai/api/v1/async/sessions/:sessionId/windows/:windowId/fill-form
POST
/api/v1/async/sessions/:sessionId/windows/:windowId/fill-form
$curl -X POST https://api.airtop.ai/api/v1/async/sessions/6aac6f73-bd89-4a76-ab32-5a6c422e8b0b/windows/0334da2a-91b0-42c5-6156-76a5eba87430/fill-form \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "automationId": "automationId"
>}'
201Created
1{
2 "requestId": "requestId",
3 "errors": [
4 {
5 "message": "message",
6 "code": "code",
7 "details": {
8 "key": "value"
9 },
10 "reason": "reason"
11 }
12 ],
13 "warnings": [
14 {
15 "message": "message",
16 "code": "code",
17 "details": {
18 "key": "value"
19 },
20 "reason": "reason"
21 }
22 ]
23}

Fill a form of a browser window asynchronously using a form-filler automation

Was this page helpful?
Previous

List windows

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sessionIdstringRequired
The session id for the window.
windowIdstringRequired
The Airtop window id of the browser window.

Request

This endpoint expects an object.
automationIdstringRequired
The ID of the automation to execute
asyncobjectOptional
Async configuration options.
clientRequestIdstringOptional
costThresholdCreditslongOptional

A credit threshold that, once exceeded, will cause the operation to be cancelled. Note that this is not a hard limit, but a threshold that is checked periodically during the course of fulfilling the request. A default threshold is used if not specified, but you can use this option to increase or decrease as needed. Set to 0 to disable this feature entirely (not recommended).

parametersmap from strings to anyOptional
Optional parameters to pass to the automation execution
timeThresholdSecondslongOptional
A time threshold in seconds that, once exceeded, will cause the operation to be cancelled. Note that this is *not* a hard limit, but a threshold that is checked periodically during the course of fulfilling the request. A default threshold is used if not specified, but you can use this option to increase or decrease as needed. Set to 0 to disable this feature entirely (not recommended). This setting does not extend the maximum session duration provided at the time of session creation.

Response

Created
requestIdstring
errorslist of objects
warningslist of objects

A time threshold in seconds that, once exceeded, will cause the operation to be cancelled. Note that this is not a hard limit, but a threshold that is checked periodically during the course of fulfilling the request. A default threshold is used if not specified, but you can use this option to increase or decrease as needed. Set to 0 to disable this feature entirely (not recommended).

This setting does not extend the maximum session duration provided at the time of session creation.